[meego-commits] 24530: Changes to MeeGo:1.2.0:oss:Update:Testing/chromium

jieyang no_reply at build.meego.com
Tue Nov 15 02:10:12 UTC 2011


Hi,
I have made the following changes to chromium in project MeeGo:1.2.0:oss:Update:Testing. Please review and accept ASAP.

Thank You,
jieyang

[This message was auto-generated]

---

Request #24530:

  submit:   devel:browser/chromium(r102)(update) -> MeeGo:1.2.0:oss:Update:Testing/chromium


Message:
    stripped ffmpeg without aac/mp3 to avoid patent and license issue. fixed BMC#23619 totally.

State:   new          2011-11-14T17:54:39 jieyang
Comment: None



changes files:
--------------
--- chromium.changes
+++ chromium.changes
@@ -1,2 +1,2 @@
-* Wed Oct 25 2011 haltonhuo <halton.huo at intel.com> - 15.0.874.92
-- Upgrade chromium to 15.0.874.92
+* Fri Nov 4 2011 Xingnan Wang <xingnan.wang at intel.com> - 15.0.874.92
+- Upgrade chromium to 15.0.874.92 
@@ -4,2 +4,2 @@
-- Clean up unused fiels: depot_tools.tar.gz, chromium-daily-tarball.sh and
-  master_preferences
+- Clean up unused files: depot_tools.tar.gz and chromium-daily-tarball.sh
+- Update chromium-browser.sh 

old:
----
  work-around-for-ffmpeg-clean.patch

new:
----
  master_preferences

spec files:
-----------
--- chromium.spec
+++ chromium.spec
@@ -62,15 +62,15 @@
 Patch12:    0001-Adopt-InterstitialPage-to-RenderViewHost-message-cha.patch
 # Make the full screen bubble appear when hitting the hot spot on the top (BMC#8973)
 Patch13:    0001-Backported-commit-c51eebf8-from-master.patch
-# Workaround for cleaning ffmpeg VP8 codec
-Patch14:	work-around-for-ffmpeg-clean.patch
 
 Source0:	http://build.chromium.org/official/chromium-%{version}.tar.bz2
-# stripped ffmpeg without H264 to avoid patent and license issue
+# stripped ffmpeg without H264/aac/mp3 to avoid patent and license issue
 Source1:	ffmpeg.tar.bz2
 Source2:	chromium-browser.sh
 Source3:	chromium-browser.desktop
 Source4:	chromium-browser.xml
+# Set default prefs
+Source5:	master_preferences
 
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:	bzip2-devel, libevent-devel, libjpeg-devel, libpng-devel
@@ -168,7 +168,10 @@
 #%patch11 -p1 -b .nssdb
 #%patch12 -p1 -b .fixsslproceedbutton
 #%patch13 -p1 -b .fullscreenbubble
-%patch14 -p1 -b .workaround-for-ffmpeg-clean
+
+#pushd third_party/ffmpeg/
+#tar xf %{SOURCE5}
+#popd
 
 %ifnarch %{arm}
 # replace ffmpeg 
@@ -176,6 +179,8 @@
 tar jxvf %{SOURCE1} --directory third_party
 %endif
 
+#%endif
+
 # Scrape out incorrect optflags and hack in the correct ones
 %if 0%{?sharedbuild}
 PARSED_OPT_FLAGS=`echo \'$RPM_OPT_FLAGS -DUSE_SYSTEM_LIBEVENT -fPIC -fno-strict-aliasing -fno-ipa-cp \' | sed "s/ /',/g" | sed "s/',/', '/g"`
@@ -213,6 +218,8 @@
 %endif
 
 %build
+
+CXXFLAGS="$RPM_OPT_FLAGS -Wno-c++0x-compat"
 %if 0%{?selinux}
 %if 0%{?noisy}
 make -r -j5 chrome BUILDTYPE=Release V=1
@@ -263,6 +270,9 @@
 mkdir -p %{buildroot}%{_datadir}/gnome-control-center/default-apps/
 cp -a %{SOURCE4} %{buildroot}%{_datadir}/gnome-control-center/default-apps/
 
+# Install the master_preferences file
+cp -a %{SOURCE5} %{buildroot}%{_libdir}/chromium-browser/master_preferences
+
 %clean
 rm -rf %{buildroot}
 
@@ -288,8 +298,9 @@
 %{_datadir}/pixmaps/chromium-browser.png
 %{_datadir}/applications/*.desktop
 %{_datadir}/gnome-control-center/default-apps/chromium-browser.xml
-# %{_sysconfdir}/%{name}
 %{_libdir}/chromium-browser/libffmpegsumo.so
+%{_libdir}/chromium-browser/master_preferences
+
 
 %if 0%{?sharedbuild}
 %files libs

other changes:
--------------

++++++ chromium-browser.sh
--- chromium-browser.sh
+++ chromium-browser.sh
@@ -1,61 +1,31 @@
 #!/bin/sh
 
-# Chromium launcher
+CHROMIUM_INSTALL_PREFIX=/usr/lib/chromium-browser
 
-# Authors:
-#  Fabien Tassin <fta at sofaraway.org>
-# License: GPLv2 or later
-
-APPNAME=chromium-browser
-LIBDIR=/usr/lib/chromium-browser
-GDB=/usr/bin/gdb
-
-usage () {
-  echo "$APPNAME [-h|--help] [-g|--debug] [options] [URL]"
-  echo
-  echo "        -g or --debug           Start within $GDB"
-  echo "        -h or --help            This help screen"
-}
-
-# FFmpeg needs to know where its libs are located
+# For FFmpeg libs
 if [ "Z$LD_LIBRARY_PATH" != Z ] ; then
-  LD_LIBRARY_PATH=$LIBDIR:$LD_LIBRARY_PATH
+  LD_LIBRARY_PATH=$CHROMIUM_INSTALL_PREFIX:$LD_LIBRARY_PATH
 else
-  LD_LIBRARY_PATH=$LIBDIR
+  LD_LIBRARY_PATH=$CHROMIUM_INSTALL_PREFIX
 fi
 export LD_LIBRARY_PATH
 
-want_debug=0
-while [ $# -gt 0 ]; do
-  case "$1" in
-    -h | --help | -help )
-      usage
-      exit 0 ;;
-    -g | --debug )
-      want_debug=1
-      shift ;;
-    -- ) # Stop option prcessing
-      shift
-      break ;;
-    * )
-      break ;;
-  esac
-done
-
-if [ $want_debug -eq 1 ] ; then
-  if [ ! -x $GDB ] ; then
-    echo "Sorry, can't find usable $GDB. Please install it."
-    exit 1
-  fi
-  tmpfile=`mktemp /tmp/chromiumargs.XXXXXX` || { echo "Cannot create temporary file" >&2; exit 1; }
-  trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
-  echo "set args ${1+"$@"}" > $tmpfile
-  echo "# Env:"
-  echo "#     LD_LIBRARY_PATH=$LD_LIBRARY_PATH"
-  echo "$GDB $LIBDIR/$APPNAME -x $tmpfile"
-  $GDB "$LIBDIR/$APPNAME" -x $tmpfile
-  exit $?
+# Set plugin search path. Chromium will read mozilla's plugin 
+# search path. This is for platforms (handset, TV, etc..) where 
+# plugins are not copied/linked to the standard mozilla plugin
+# path due to reasons. PDF plugin is in the list though it is
+# not really supported by chromium on Linux.
+moz_plugin_path=$(find /usr/java/jre* \
+                  /usr/lib/flash-plugin \
+                  /opt/Adobe* /usr/Adobe* \
+                  -name "libnpjp2.so" -exec dirname {} \; -o \
+                  -name "libflashplayer.so" -exec dirname {} \; -o \
+                  -name "nppdf.so" -exec dirname {} \; 2>/dev/null | xargs echo)
+if [ x$MOZ_PLUGIN_PATH != "x" ]; then
+  MOZ_PLUGIN_PATH=$MOZ_PLUGIN_PATH:${moz_plugin_path// /:}
 else
-  exec $LIBDIR/$APPNAME "$@"
+  MOZ_PLUGIN_PATH=${moz_plugin_path// /:}
 fi
+export MOZ_PLUGIN_PATH
 
+exec $CHROMIUM_INSTALL_PREFIX/chromium-browser "$@"

++++++ ffmpeg.tar.bz2
26643 lines of diff (skipped)

++++++ master_preferences (new)
--- master_preferences
+++ master_preferences
+{
+  "distribution": {
+     "skip_first_run_ui": false,
+     "alternate_shortcut_text": false,
+     "oem_bubble": true,
+     "chrome_shortcut_icon_index": 0,
+     "create_all_shortcuts": true,
+     "show_welcome_page": true,
+     "make_chrome_default": false,
+     "make_chrome_default_for_user": false,
+     "system_level": false,
+     "verbose_logging": false
+  },
+  "download": {
+     "extensions_to_open": "ymp"
+  },
+  "browser": {
+     "show_home_button": true,
+     "check_default_browser": false
+  },
+  "bookmark_bar": {
+     "show_on_all_tabs": true
+  },
+  "first_run_tabs": [
+     "https://www.tizen.org"
+  ],
+  "homepage": "https://www.tizen.org",
+  "homepage_is_newtabpage": false
+}
+

++++++ deleted files:
--- work-around-for-ffmpeg-clean.patch



More information about the MeeGo-commits mailing list